Name | Type | Default |
disabled
|
boolean
|
false
|
Enables or disables the jqxInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownWidth
|
number | string
|
null
|
Sets or gets the jqxInput's dropDown width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} dropDownWidth={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
|
height
|
string | number
|
null
|
Sets or gets the jqxInput's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
items
|
number
|
8
|
Sets or gets the maximum number of items to display in the popup menu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} items={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minLength
|
number
|
1
|
Sets or gets the minimum character length needed before triggering auto-complete suggestions.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} minLength={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxLength
|
number
|
null
|
Sets or gets the maximum character length of the input.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} maxLength={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
opened
|
boolean
|
false
|
Sets or gets a value indicating whether the auto-suggest popup is opened.
|
placeHolder
|
string
|
""
|
Sets or gets the input's place holder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the auto-suggest popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} popupZIndex={99999} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
query
|
string
|
""
|
Determines the input's query.
|
renderer
|
(itemValue?: string, inputValue?: string) => string
|
null
|
Enables you to update the input's value, after a selection from the auto-complete popup.
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
searchMode
|
InputSearchMode
|
'default'
|
InputSearchMode: "none" | "contains" | "containsignorecase" | "equals" | "equalsignorecase" | "startswithignorecase" | "startswith" | "endswithignorecase" | "endswith"
Sets or gets the search mode. When the user types into the edit field, the jqxInput widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} searchMode={ 'startswithignorecase'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
[]
|
Sets the widget's data source. The 'source' function is passed two arguments, the input field's value and a callback function. The 'source' function may be used synchronously by returning an array of items or asynchronously via the callback.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
|
width
|
string | number
|
null
|
Sets or gets the jqxInput's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
number | string
|
null
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} value={ 'Brazil'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} onChange={this.onChange} width={250} height={25} source={this.state.source} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} onClose={this.onClose} width={250} height={25} source={this.state.source} /> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} onOpen={this.onOpen} width={250} height={25} source={this.state.source} /> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public render() { return ( <JqxInput ref={this.myInput} onSelect={this.onSelect} width={250} height={25} source={this.state.source} /> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public componentDidMount(): void { this.myInput.current!.destroy(); } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public componentDidMount(): void { this.myInput.current!.focus(); } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectAll
|
None
|
|
Selects the text in the input field.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public componentDidMount(): void { this.myInput.current!.selectAll(); } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxInput, { IInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxinput'; class App extends React.PureComponent<{}, IInputProps> { private myInput = React.createRef<JqxInput>(); constructor(props: {}) { super(props); this.state = { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } } public componentDidMount(): void { this.myInput.current!.val(); } public render() { return ( <JqxInput ref={this.myInput} width={250} height={25} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Enables or disables the jqxInput.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :disabled="true" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
dropDownWidth
|
Number
|
null
|
Sets or gets the jqxInput's dropDown width.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :dropDownWidth="200" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
displayMember
|
String
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :displayMember="'ContactName'"/> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue';
export default { components: { JqxInput }, data: function () { return { source: [ { "CompanyName": "Company 1", "ContactName": "Ana" }, { "CompanyName": "Company 2", "ContactName": "Maria" }
|
height
|
Number | String
|
null
|
Sets or gets the jqxInput's height.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
items
|
Number
|
8
|
Sets or gets the maximum number of items to display in the popup menu.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :items="10" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
minLength
|
Number
|
1
|
Sets or gets the minimum character length needed before triggering auto-complete suggestions.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :minLength="2" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
maxLength
|
Number
|
null
|
Sets or gets the maximum character length of the input.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :maxLength="10" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
opened
|
Boolean
|
false
|
Sets or gets a value indicating whether the auto-suggest popup is opened.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source"/> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue';
export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, mounted: function () { let opened = this.$refs.myInput.opened; alert( 'Opened: ' + opened);
Get the opened property. let opened = this.$refs.myInput.opened;
|
placeHolder
|
String
|
""
|
Sets or gets the input's place holder.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
popupZIndex
|
Number
|
20000
|
Sets or gets the auto-suggest popup's z-index.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :popupZIndex="99999" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
query
|
String
|
""
|
Determines the input's query.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :placeHolder="'Enter a Country'" :renderer="renderer" /> </template> <script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { countries: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { source: function (query, response) { const item = query.split(/,\s*/).pop(); // update the search query. this.$refs.myInput.query = item; response(this.countries); }, renderer: function (itemValue, inputValue) { const terms = inputValue.split(/,\s*/); // remove the current input terms.pop(); // add the selected item terms.push(itemValue); // add placeholder to get the comma-and-space at the end
|
renderer
|
Function
|
null
|
Enables you to update the input's value, after a selection from the auto-complete popup.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :placeHolder="'Enter a Country'" :renderer="renderer" /> </template> <script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { countries: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { source: function (query, response) { const item = query.split(/,\s*/).pop(); // update the search query. this.$refs.myInput.query = item; response(this.countries); }, renderer: function (itemValue, inputValue) { const terms = inputValue.split(/,\s*/); // remove the current input terms.pop(); // add the selected item terms.push(itemValue); // add placeholder to get the comma-and-space at the end
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :rtl="true" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
searchMode
|
String
|
'default'
|
Sets or gets the search mode. When the user types into the edit field, the jqxInput widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :searchMode="'startswithignorecase'" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
source
|
Array | Function | Object
|
[]
|
Sets the widget's data source. The 'source' function is passed two arguments, the input field's value and a callback function. The 'source' function may be used synchronously by returning an array of items or asynchronously via the callback.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :theme="'material'" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
valueMember
|
String
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :displayMember="'ContactName'" :valueMember="'CompanyName'"/> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue';
export default { components: { JqxInput }, data: function () { return { source: [ { "CompanyName": "Company 1", "ContactName": "Ana" }, { "CompanyName": "Company 2", "ContactName": "Maria" }
|
width
|
Number | String
|
null
|
Sets or gets the jqxInput's width.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
value
|
Number | String
|
null
|
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" :value="'Brazil'" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil'
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxInput.
<template> <JqxInput ref="myInput" @change="onChange($event)" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, methods: { onChange: function (event) { alert( 'do something...');
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxInput.
<template> <JqxInput ref="myInput" @close="onClose($event)" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, methods: { onClose: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxInput.
<template> <JqxInput ref="myInput" @open="onOpen($event)" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, methods: { onOpen: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxInput.
<template> <JqxInput ref="myInput" @select="onSelect($event)" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, methods: { onSelect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, mounted: function () { this.$refs.myInput.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, mounted: function () { this.$refs.myInput.focus();
|
selectAll
|
None
|
None
|
Selects the text in the input field.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, mounted: function () { this.$refs.myInput.value = 'text'; this.$refs.myInput.selectAll();
|
val
|
value
|
String
|
Sets or gets the value.
<template> <JqxInput ref="myInput" :width="250" :height="25" :source="source" /> </template>
<script> import JqxInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue'; export default { components: { JqxInput }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Antarctica', 'Antigua and Barbuda', 'Argentina', 'Armenia', 'Australia', 'Austria', 'Azerbaijan', 'Bahamas', 'Bahrain', 'Bangladesh', 'Barbados', 'Belarus', 'Belgium', 'Belize', 'Benin', 'Bermuda', 'Bhutan', 'Bolivia', 'Bosnia and Herzegovina', 'Botswana', 'Brazil' ] } }, mounted: function () { this.$refs.myInput.value = 'text'; const value = this.$refs.myInput.val();
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [disabled]="true"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
dropDownWidth
|
String | Number
|
null
|
Sets or gets the dropDownWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [dropDownWidth]="200"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
displayMember
|
String
|
""
|
Sets or gets the displayMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [valueMember]="'CompanyId'" [displayMember]="'CompanyName'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
items
|
Number
|
8
|
Sets or gets the items property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [items]="10"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
minLength
|
Number
|
1
|
Sets or gets the minLength property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [minLength]="1"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
maxLength
|
Number
|
null
|
Sets or gets the maxLength property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [maxLength]="10"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
opened
|
Boolean
|
false
|
Sets or gets the opened property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [opened]="true"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
placeHolder
|
String
|
""
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [placeHolder]="'Enter a Country'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [popupZIndex]="99999"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
query
|
String
|
""
|
Sets or gets the query property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [query]="'item'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
renderer
|
(itemValue?: String, inputValue?: String) => String
|
null
|
Sets or gets the renderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [renderer]="renderer"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [rtl]="true"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
searchMode
|
enum:InputSearchMode
|
'default'
|
enum InputSearchMode { none, contains, containsignorecase, equals, equalsignorecase, startswithignorecase, startswith, endswithignorecase, endswith } Sets or gets the searchMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [searchMode]="'startswithignorecase'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
source
|
Array<Any>
|
[]
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [theme]="'energyblue'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
valueMember
|
String
|
""
|
Sets or gets the valueMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [valueMember]="'CompanyId'" [displayMember]="'CompanyName'"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
value
|
String | Number
|
null
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries" [value]="200"> </jqxInput> `}) export class AppComponent { countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput (onChange)="Change($event)" [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { Change(event: any): void { // Do Something } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput (onClose)="Close($event)" [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { Close(event: any): void { // Do Something } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput (onOpen)="Open($event)" [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { Open(event: any): void { // Do Something } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput (onSelect)="Select($event)" [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent { Select(event: any): void { // Do Something } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myInput') myInput: jqxInputComponent; ngAfterViewInit(): void { this.myInput.destroy(); } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myInput') myInput: jqxInputComponent; ngAfterViewInit(): void { this.myInput.focus(); } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
selectAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myInput') myInput: jqxInputComponent; ngAfterViewInit(): void { this.myInput.selectAll(); } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|
val
|
String
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxInput #myInput [width]="200" [height]="25" [source]="countries"> </jqxInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myInput') myInput: jqxInputComponent; ngAfterViewInit(): void { let value = this.myInput.val(); } countries: string[] = new Array( "USA", "Germany", "UK", "Russia");
|